summaryrefslogtreecommitdiff
path: root/ext/psych
diff options
context:
space:
mode:
authorusa <usa@b2dd03c8-39d4-4d8f-98ff-823fe69b080e>2012-11-29 06:54:53 +0000
committerusa <usa@b2dd03c8-39d4-4d8f-98ff-823fe69b080e>2012-11-29 06:54:53 +0000
commita985c5898cb2efd83e817dd476999f28af73f763 (patch)
treec6c1ad9ccd9754514675de9ea9cd00e9feb4c08d /ext/psych
parent9694bb8cac12969300692dac5a1cf7aa4e3a46cd (diff)
* ext/psych/extconf.rb: added --enable-bundled-libyaml option. this
enforces using bundled libyaml. git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@37977 b2dd03c8-39d4-4d8f-98ff-823fe69b080e
Diffstat (limited to 'ext/psych')
-rw-r--r--ext/psych/extconf.rb2
1 files changed, 1 insertions, 1 deletions
diff --git a/ext/psych/extconf.rb b/ext/psych/extconf.rb
index bba3ab2..65e83a3 100644
--- a/ext/psych/extconf.rb
+++ b/ext/psych/extconf.rb
@@ -6,7 +6,7 @@ require 'fileutils'
dir_config 'libyaml'
-unless find_header('yaml.h') && find_library('yaml', 'yaml_get_version')
+if enable_config("bundled-libyaml", false) || !(find_header('yaml.h') && find_library('yaml', 'yaml_get_version'))
# Embed libyaml since we could not find it.
$VPATH << "$(srcdir)/yaml"